#include<iostream>
using namespace std;

int main()
{
	int c1,c2;
	string c;
	char a,b;
	cin>>c;
	a=c[0];
	b=c[1];
	cin>>c1>>c2;
	if(c1==(c2+1))
	{
		for(int i=0;i<c2;i++)
		{
			cout<<a;
			cout<<b;
		}
		cout<<a;
	}
	else if(c1==(c2-1))
	{
		for(int i=0;i<c1;i++)
		{
			cout<<b;
			cout<<a;
		}
		cout<<b;
	}
	else if(c1==c2)
	{
		for(int i=0;i<c1;i++)
		{
			cout<<a;
			cout<<b;
		}
	
	}
	else
	{
		cout<<"nemoguce";
	}
}